Bug 1028911 - [zh_TW]'Chinese<->English' switch does not work when clicking on the Chewing menu list.
[zh_TW]'Chinese<->English' switch does not work when clicking on the Chewing ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-chewing (Show other bugs)
20
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
i18n
: Reopened
Depends On: 1028905
Blocks: 1034038
  Show dependency treegraph
 
Reported: 2013-11-11 03:19 EST by Lijun Li
Modified: 2015-06-30 19:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1028905
: 1034038 (view as bug list)
Environment:
Last Closed: 2015-06-30 19:33:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Chinese-English switch (117.73 KB, image/png)
2013-11-11 03:21 EST, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2013-11-11 03:19:33 EST
+++ This bug was initially created as a clone of Bug #1028905 +++

Description of problem:
'Chinese<->English' switch does not work when clicking on the Intellignet Pinyin menu list.

Version-Release number of selected component (if applicable):
ibs-chewing-1.4.3-4.fc20.x86_64
libchewing-0.3.4-4.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install latest Fedora20 tc6 build.
2. Add an input source which has (Intelligent Pinyin) in the name. 
3. Click on the Chewing menu on the top right of desktop.
4. Click on Chines/English (中CN/英EN, 中/英)from the list to switch the input of 'Chinese-English'.

Actual results:
'Chinese<->English' switch does not work when clicking on the Chewing menu list.

Expected results:
It should auto switch for 中CN/英EN, 中/英.

Additional info:
Please see the attached screenshot.

--- Additional comment from Lijun Li on 2013-11-11 03:07:34 EST ---
Comment 1 Lijun Li 2013-11-11 03:21:28 EST
Created attachment 822318 [details]
Chinese-English switch
Comment 2 Fedora Update System 2014-01-15 09:39:06 EST
ibus-chewing-1.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.5-1.fc20
Comment 3 Fedora Update System 2014-01-16 02:00:04 EST
ibus-chewing-1.4.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.6-1.fc19
Comment 4 Fedora Update System 2014-01-16 02:00:46 EST
ibus-chewing-1.4.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.6-1.fc20
Comment 5 Ding-Yi Chen 2014-01-16 08:33:31 EST
Cause:

Actually it is expected behavior when "Sync CapsLock with IM" is "keyboard", which was default for ibus-chewing-1.4.3 and earlier.

The expected behaviour for each value:
1. disable: Don't try to sync capslock state with input method.
2. keyboard: If CapsLock state and input method mode is out of sync, then
   a. if CapsLock==Off, the set the input method as Chinese mode
   b. if CapsLock==On, the set the input method as English mode
3. input method: If CapsLock state and input method mode is out of sync, then
   a. if input method is in Chinese mode, then set capsLock=Off
   b. if input method is in English mode, then set capsLock=On

Out of sync usually happened when input focus moving out. 
In some WM/DE, clicking on input menu will not trigger the foucs out event.
GnomeShell, however, will trigger focus_out event.
If "Sync CapsLock with IM" is set to keyboard, that means you cannot change the input method mode as the Caps lock state is not change.

Resolution:

The new default will be 'disable', as it works in the same way for each WM/DE.
Configuration key is also change so new and existing user will be use this as default.
Comment 6 Fedora Update System 2014-02-01 01:02:50 EST
ibus-chewing-1.4.10.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.10.1-1.fc19
Comment 7 Fedora Update System 2014-02-01 01:03:18 EST
ibus-chewing-1.4.10.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-chewing-1.4.10.1-1.fc20
Comment 8 Fedora Update System 2014-02-11 18:09:59 EST
ibus-chewing-1.4.10.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-02-22 13:14:55 EST
ibus-chewing-1.4.10.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora End Of Life 2015-05-29 05:43:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 21:25:13 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.